[debian-edu-commits] r83055 - trunk/src/build/CD-administrator

pere at alioth.debian.org pere at alioth.debian.org
Thu Mar 6 18:03:25 UTC 2014


Author: pere
Date: 2014-03-06 18:03:25 +0000 (Thu, 06 Mar 2014)
New Revision: 83055

Modified:
   trunk/src/build/CD-administrator/debian-cd-revision
   trunk/src/build/CD-administrator/patch-debian-cd
Log:
Switch to using debian-cd from git, as the svn repository is gone.

Modified: trunk/src/build/CD-administrator/debian-cd-revision
===================================================================
--- trunk/src/build/CD-administrator/debian-cd-revision	2014-03-02 22:11:06 UTC (rev 83054)
+++ trunk/src/build/CD-administrator/debian-cd-revision	2014-03-06 18:03:25 UTC (rev 83055)
@@ -1,2 +1 @@
-2316
-
+62e26086ffc4d6e503493a71387e0e16401daaba

Modified: trunk/src/build/CD-administrator/patch-debian-cd
===================================================================
--- trunk/src/build/CD-administrator/patch-debian-cd	2014-03-02 22:11:06 UTC (rev 83054)
+++ trunk/src/build/CD-administrator/patch-debian-cd	2014-03-06 18:03:25 UTC (rev 83055)
@@ -3,36 +3,37 @@
 # existing checkout of debian-cd, or a fresh checkout.
 set -e
 
-svnrev="-r $(cat debian-cd-revision)"
+gitrev="$(cat debian-cd-revision)"
 
 case $1 in
-  sarge*|etch*)
-    svntarget="etch"
-    patchsource=$svntarget
-    svnpath=svn://anonscm.debian.org/debian-cd/branches/buildd/etch
-    echo " $1 is not supported any longer"
-    exit 50
-    ;;
-  lenny*)
-    svntarget="lenny"
-    patchsource=$svntarget
-    svnpath=svn://anonscm.debian.org/debian-cd/branches/buildd/lenny
-    ;;
-  squeeze*)
-    svntarget="squeeze"
-    patchsource=$svntarget
-    svnpath=svn://anonscm.debian.org/debian-cd/branches/buildd/squeeze
-    ;;
+# Need to figure out git ID for these to work without svn repo
+#   sarge*|etch*)
+#     svntarget="etch"
+#     patchsource=$svntarget
+#     svnpath=svn://anonscm.debian.org/debian-cd/branches/buildd/etch
+#     echo " $1 is not supported any longer"
+#     exit 50
+#     ;;
+#   lenny*)
+#     svntarget="lenny"
+#     patchsource=$svntarget
+#     svnpath=svn://anonscm.debian.org/debian-cd/branches/buildd/lenny
+#     ;;
+#   squeeze*)
+#     svntarget="squeeze"
+#     patchsource=$svntarget
+#     svnpath=svn://anonscm.debian.org/debian-cd/branches/buildd/squeeze
+#     ;;
   wheezy*)
     svntarget="wheezy"
     patchsource=$svntarget
-    svnpath=svn://anonscm.debian.org/debian-cd/trunk
+    gitpath=git://anonscm.debian.org/debian-cd/debian-cd.git
     ;;
   edu-testing*)
     svntarget="trunk"
     patchsource="nolocal"
-    svnpath=svn://anonscm.debian.org/debian-cd/trunk
-    svnrev=""
+    gitpath=git://anonscm.debian.org/debian-cd/debian-cd.git
+    gitrev="HEAD"
     ;;
   *)
     svntarget="trunk"
@@ -41,12 +42,17 @@
     ;;
 esac
 
+# Migrate to svn
+if [ -d debian-cd.unpatched.$svntarget/.svn ] ; then
+	mv debian-cd.unpatched.$svntarget debian-cd.unpatched.$svntarget-oldsvn
+fi
 
 if [ ! -d debian-cd.unpatched.$svntarget ]; then
-	echo "Fetching debian-cd from svn."
-	svn co $svnrev $svnpath debian-cd.unpatched.$svntarget
+	echo "Fetching debian-cd from git."
+	git clone $gitpath debian-cd.unpatched.$svntarget
+	(cd debian-cd.unpatched.$svntarget; git checkout $gitrev)
 else
-	svn update $svnrev debian-cd.unpatched.$svntarget
+	(cd debian-cd.unpatched.$svntarget; git fetch; git checkout $gitrev)
 fi
 
 rm -rf debian-cd.new
@@ -55,7 +61,7 @@
 echo "Patching debian-cd using debian-cd.patch.$patchsource"
 if ! (cd debian-cd.new && patch -p1 < ../debian-cd.patch.$patchsource); then
 	if [ -e debian-cd ]; then
-		echo "Patching debian-cd failed. Using old patched version  $(svn info debian-cd.unpatched |grep Revision |cut -d":" -f2)"
+		echo "Patching debian-cd failed. Using old patched version $(cd debian-cd.unpatched.$svntarget; git log -1|awk '/commit/ {print $2}')"
 	else
 		echo "Patching debian-cd failed and no old patched version available! Giving up." >&2
 		exit 1




More information about the debian-edu-commits mailing list